Page MenuHomeFreeBSD

databases/xtrabackup: Update to 2.4.12
ClosedPublic

Authored by feld on Aug 6 2018, 6:59 PM.

Details

Summary
  • Update to 2.4.12
  • Remove unneccessary patches
  • Add pkg-plist file

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

feld created this revision.Aug 6 2018, 6:59 PM
feld updated this revision to Diff 46357.Aug 6 2018, 8:44 PM

Perl runtime dependency no longer needed.

feld updated this revision to Diff 46358.Aug 6 2018, 8:56 PM

Sync with latest commit

feld updated this revision to Diff 46467.Aug 9 2018, 2:22 PM

Patch out the DBD::mysql and vim-common reqs by removing the version check
functionality which is also an information disclosure vulnerability.

This permits the software to work regardless of whether or not version
check is enabled at runtime as it is a no-op.

feld updated this revision to Diff 46468.Aug 9 2018, 2:23 PM

Sync up with the tree again

feld updated this revision to Diff 46469.Aug 9 2018, 2:24 PM

Remove DBD::mysql again

This revision was not accepted when it landed; it landed in state Needs Review.Aug 13 2018, 4:52 PM
This revision was automatically updated to reflect the committed changes.